Bug 166442 - uudeview appends ";" to filenames
Summary: uudeview appends ";" to filenames
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: uudeview   
(Show other bugs)
Version: 4
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adrian Reber
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-21 15:24 UTC by Mate Wierdl
Modified: 2008-02-28 19:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-28 19:16:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
email message with attachemnts a.html and b.html (863 bytes, text/plain)
2005-08-21 15:24 UTC, Mate Wierdl
no flags Details
email message with attachments c.html and d.html (261 bytes, text/plain)
2005-08-21 15:47 UTC, Adrian Reber
no flags Details

Description Mate Wierdl 2005-08-21 15:24:35 UTC
Created attachment 117953 [details]
email message with attachemnts a.html and b.html

Comment 1 Mate Wierdl 2005-08-21 15:24:35 UTC
Description of problem:
attachments created by evolution are extracted with ";" appended.

Version-Release number of selected component (if applicable):

uudeview-0.5.20-4

How reproducible:

always if the file name is not quoted (say, does not contain spaces).

Steps to Reproduce:
1. Take the attached email message created by evolution.

2. run uudeview on the file.  

3.  Verify that the two extraced files have ";" appended to their real name.
  
Actual results:
$ uudeview -i 1124636005.3427.otthon.memphis.edu\:2\,S
Loaded from 1124636005.3427.otthon.memphis.edu:2,S: 'a and b' (a): a.html; part
1   Base64
Loaded from 1124636005.3427.otthon.memphis.edu:2,S: 'a and b' (a): b.html; part
1   Base64

Found 'a.html;' State 16 Base64 Parts 1 OK
Found 'b.html;' State 16 Base64 Parts 1 OK

    File successfully written to /home/mw/EXTRACT/a.html;
    File successfully written to /home/mw/EXTRACT/b.html;
2 files decoded from 1 input file, 0 failed

$ ls *\;
a.html;  b.html;


Expected results:

Instead, should have the files

a.html  b.html

Additional info:

This is an x86_64 FC4 system.  Of course, it is possible that evolution is 
not conforming to some rfc's.

Comment 2 Adrian Reber 2005-08-21 15:46:49 UTC
I can reproduce this. A message created with mutt, however, doesn't show this
behaviour so I tend to blame evolution. The best would probably be to have a
look at the correct RFC. I will attach my example from mutt. I will also try to
reach the upstream author for a statement.

Comment 3 Adrian Reber 2005-08-21 15:47:58 UTC
Created attachment 117954 [details]
email message with attachments c.html and d.html

Comment 4 Christian Iseli 2007-01-19 23:47:52 UTC
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)

Comment 5 petrosyan 2008-02-28 19:16:52 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.